---
title: Create
url: https://www.tines.com/docs/api/admin/action_egress_control_rules/create/
updated: 2024-10-18T14:32:42+00:00
description: Create a new Action egress control rule.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Action egress control rules](https://www.tines.com/llm/docs/api/admin/action_egress_control_rules.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/admin/action_egress_control_rules/create/)*

## Description

Create a new Action egress control rule.

## Request

HTTP Method: **POST**

### Field description

| Field                | Description                                                                                                                                                                                        |
| -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ip                   | IP address or CIDR range of the rule.                                                                                                                                                              |
| fqdn                 | The fqdn for the rule. Only IP or FQDN is allowed, not both.                                                                                                                                       |
| description          | Human-readable description of the rule.                                                                                                                                                            |
| allowed_action_types | Array of action types allowed to use the IP or FQDN. The options are "http-request" and "send-email". Any other strings will not work. **Note:** Send email allowlist is available for FQDNs only. |

### Sample request

<!-- cspell:disable -->

```bash

curl -X POST \
  https://<tenant-domain>/api/v1/admin/action_egress_control_rules \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
      "ip": "192.168.1.1",
      "description": "Example IP",
      "allowed_action_types": ["http-request"]
    }'
```

```bash

curl -X POST \
  https://<tenant-domain>/api/v1/admin/action_egress_control_rules \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
      "fqdn": "sub.example.com",
      "description": "Example FQDN",
      "allowed_action_types": ["http-request", "send-email"]
    }'
```

<!-- cspell:enable -->

## Response

A successful request will return status 201 and the created Action egress control rule object.

See `list` for more details about the rule object.
